com.thinkaurelius.titan.graphdb.query.condition

## Class Literal<E extends TitanElement>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.condition.Literal<E>

- All Implemented Interfaces:
    Condition<E>
  Direct Known Subclasses:
    DirectionCondition, FixedCondition, IncidenceCondition, IncidenceDirectionCondition, PredicateCondition, RelationTypeCondition, VisibilityFilterCondition

      public abstract class Literal<E extends TitanElement>
      extends Object
      implements Condition<E>

  Abstract literal condition.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `Condition.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Literal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Condition<E>>` | `getChildren()`
    `Condition.Type` | `getType()`
    `boolean` | `hasChildren()`
    `int` | `numChildren()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `equals, evaluate, hashCode, toString`

- - ### Constructor Detail

    - #### Literal

          public Literal()

  - ### Method Detail

    - #### getType

          public Condition.Type getType()

      Specified by:
        `getType` in interface `Condition<E extends TitanElement>`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `Condition<E extends TitanElement>`

    - #### numChildren

          public int numChildren()

      Specified by:
        `numChildren` in interface `Condition<E extends TitanElement>`

    - #### getChildren

          public Iterable<Condition<E>> getChildren()

      Specified by:
        `getChildren` in interface `Condition<E extends TitanElement>`

Copyright © 2012–2014. All rights reserved.